#pragma once

/***********************************************
 *               Pin Definitions               *
 ***********************************************/
#define RIGHT_ON_BUTTON_PIN 0
#define RIGHT_OFF_BUTTON_PIN 1
#define LEFT_ON_BUTTON_PIN 2
#define LEFT_OFF_BUTTON_PIN 3
#define BUTTON_SHORT_PRESS_TIME_MS 150
#define BUTTON_LONG_PRESS_TIME_MS 2000

#define FAN1_BUTTON_PIN 4
#define FAN2_BUTTON_PIN 5
#define FAN3_BUTTON_PIN 6
#define FAN4_BUTTON_PIN 7
#define FAN5_BUTTON_PIN 8
#define PUMP_BUTTON_PIN 9
#define STADIUM_RIGHT_BUTTON_PIN 10
#define STADIUM_LEFT_BUTTON_PIN 11

#define RIGHT_LIGHT_RELAY_PIN 0
#define LEFT_LIGHT_RELAY_PIN 1
#define FAN1_RELAY_PIN 2
#define FAN2_RELAY_PIN 3
#define FAN3_RELAY_PIN 4
#define FAN4_RELAY_PIN 5
#define FAN5_RELAY_PIN 6
#define PUMP_RELAY_PIN 7
#define STADIUM_RIGHT_LIGHT_RELAY_PIN 8
#define STADIUM_LEFT_LIGHT_RELAY_PIN 9

/***********************************************
 *            Display Configuration            *
 ***********************************************/
// UART Configuration
#define INTERNAL_DISPLAY_UART Serial
#define INTERNAL_DISPLAY_BAUDRATE 115200